Page MenuHomePhabricator

UrlShortener URL input field truncates text
Closed, ResolvedPublic

Description

See below. The input box does contains the full URL (https://en.wikipedia.org/wiki/Main_Page), but I need to scroll horizontally to see it, even though the input box is wide enough.

Event Timeline

ori created this task.Aug 10 2015, 5:31 PM
ori raised the priority of this task from to Normal.
ori updated the task description. (Show Details)
ori added subscribers: Ricordisamoa, tstarling, Prtksxna and 24 others.
ori added a comment.Aug 10 2015, 5:34 PM

Possible clue: the width of the visible text is the complement of the width of the right-aligned error text that is displayed when the input field is empty.

I think it's a bug in OO.ui.TextInputWidget.prototype.positionLabel.

Jorm removed a subscriber: Jorm.Aug 11 2015, 8:12 PM

Change 230915 had a related patch set uploaded (by Bartosz Dziewoński):
TextInputWidget: Don't forget to positionLabel() after it's been unset

https://gerrit.wikimedia.org/r/230915

Change 230915 merged by jenkins-bot:
TextInputWidget: Don't forget to positionLabel() after it's been unset

https://gerrit.wikimedia.org/r/230915

Legoktm closed this task as Resolved.Aug 12 2015, 7:23 AM

Fixed after OOUI update (v0.12.3) in MediaWiki core today.

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Aug 26 2015, 1:38 AM